Name:          libmspack
Epoch:         1
Version:       0.10.1
Release:       1mamba
Summary:       A library for Microsoft compression formats
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cabextract.org.uk/libmspack/
Source:        https://github.com/kyz/libmspack.git/v%{version}alpha/libmspack-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END

%description
The purpose of libmspack is to provide both compression and decompression of some loosely related file formats used by Microsoft.
The intention is to support all of the following formats:
- COMPRESS.EXE [SZDD]
- Microsoft Help
- COMPRESS.EXE [KWAJ]
- Microsoft Cabinet
- HTML Help
- Microsoft eBook

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
The purpose of libmspack is to provide both compression and decompression of some loosely related file formats used by Microsoft.
The intention is to support all of the following formats:
- COMPRESS.EXE [SZDD]
- Microsoft Help
- COMPRESS.EXE [KWAJ]
- Microsoft Cabinet
- HTML Help
- Microsoft eBook

This package contains static libraries and header files needed for development.

%prep
%setup -q
cd libmspack
./autogen.sh

%build
cd libmspack
%configure

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall -C libmspack

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libmspack.so.*
%doc libmspack/AUTHORS libmspack/COPYING.LIB

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/libmspack.a
%{_libdir}/libmspack.la
%{_libdir}/libmspack.so
%{_libdir}/pkgconfig/libmspack.pc
%doc libmspack/ChangeLog libmspack/NEWS libmspack/README libmspack/TODO

%changelog
* Sun Aug 01 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.1-1mamba
- update to 0.10.1

* Sun Sep 01 2013 Automatic Build System <autodist@mambasoft.it> 20060920-2mamba
- automatic rebuild by autodist

* Mon Dec 08 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 20060920-1mamba
- update to 20060920

* Sat Apr 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.20060920-2mamba
- specfile updates

* Thu Jan 25 2007 Davide Madrisan <davide.madrisan@qilinux.it> 0.0.20060920-1qilnx
- update to version 0.0.20060920 by autospec

* Wed May 11 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.20040308-3qilnx
- gcc3 patch applied to mspack.h

* Tue Mar 08 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.0.20040308-2qilnx
- rebuilt

* Mon Sep 13 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.0.20040308-1qilnx
- package created by autospec
